<?php


namespace Fifa\ConnectId\Sdk\Notifications;


use DateTime;

class PersonMergedNotification
{
    /** @var string */
    private $primaryPersonFIFAId;
    /** @var string */
    private $secondaryPersonFIFAId;
    /** @var string */
    private $actorName;
    /** @var DateTime */
    private $operationTimestamp;

    /**
     * PersonMergedNotification constructor.
     *
     * @param string $primaryPersonFIFAId
     * @param string $secondaryPersonFIFAId
     * @param string $actorName
     * @param DateTime $operationTimestamp
     */
    function __construct(string $primaryPersonFIFAId, string $secondaryPersonFIFAId, string $actorName, DateTime $operationTimestamp){
        $this->primaryPersonFIFAId = $primaryPersonFIFAId;
        $this->secondaryPersonFIFAId = $secondaryPersonFIFAId;
        $this->actorName = $actorName;
        $this->operationTimestamp = $operationTimestamp;
    }

    /**
     * @return string
     */
    public function getPrimaryPersonFIFAId(): string
    {
        return $this->primaryPersonFIFAId;
    }

    /**
     * @return string
     */
    public function getSecondaryPersonFIFAId(): string
    {
        return $this->secondaryPersonFIFAId;
    }

    /**
     * @return string
     */
    public function getActorName(): string
    {
        return $this->actorName;
    }

    /**
     * @return DateTime
     */
    public function getOperationTimestamp(): DateTime
    {
        return $this->operationTimestamp;
    }
}